Poll write request
curl --request GET \
--url https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/connectors/status \
--header 'x-api-key: <api-key>'import requests
url = "https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/connectors/status"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/connectors/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"has_data": true,
"result": {
"async": false,
"jobId": "UvzWy0",
"taskId": "3cecd80d-b377-4566-9d8c-e1e870b887ab",
"state": {
"bookmarks": {
"Contact": [
{
"hash": "07f9838d07fca662ce396d1cce9db0893eb3ffee4290ffc20d992a8fde333e2e",
"success": false,
"error": "[{\"message\":\"No such column 'EmailAddress' on sobject of type Contact\",\"errorCode\":\"INVALID_FIELD\"}]"
}
]
},
"summary": {
"Contact": {
"success": 0,
"fail": 1,
"existing": 0,
"updated": 0
}
}
},
"status_code": 200
}
}{
"Code": "BadRequestError",
"Message": "Title can't be blank"
}BETA - Real-time Write
Poll write request
If a real-time write request returns async: true, you can use this endpoint to get the result of the request.
GET
/
{env_id}
/
{flow_id}
/
{tenant}
/
connectors
/
status
Poll write request
Authorizations
Path Parameters
ID of environment
ID of flow
ID of tenant
Query Parameters
Task ID of the real-time write request.
⌘I